Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157435 - VPN isn't starting, error log attached
Summary: VPN isn't starting, error log attached
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-11 17:24 UTC by Bryan W Clark
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-16 19:59:47 UTC


Attachments (Terms of Use)
Log of running NM and trying to connect to the VPN (deleted)
2005-05-11 17:24 UTC, Bryan W Clark
no flags Details
New log from running NetworkManager (deleted)
2005-05-12 03:17 UTC, Bryan W Clark
no flags Details

Description Bryan W Clark 2005-05-11 17:24:24 UTC
I'm attaching logs of NetworkManager when trying to start my VPN from home.

Around line 64 I try to start the VPN service.  I have a /var/run/vpnc directory
that I made as root.

Line 78 is after I removed the vpnc directory just to test

Line 88 is trying to start it again after I recreated the directory.  The
/var/run/vpnc/nm-vpnc-service-vpnc.conf file exists in this case.

And the rest are other attempts at connecting

Comment 1 Bryan W Clark 2005-05-11 17:24:24 UTC
Created attachment 114252 [details]
Log of running NM and trying to connect to the VPN

Comment 2 Dan Williams 2005-05-11 20:36:18 UTC
Try HEAD.  Attach logs if it doesn't seem to work.  Thanks!

Comment 3 Bryan W Clark 2005-05-12 03:17:28 UTC
Created attachment 114278 [details]
New log from running NetworkManager

Still couldn't connect.  The vpnc-service is running, but it's still not
working.

3001 pts/1    Sl+    0:01 NetworkManager --no-daemon
3084 pts/1    Sl+    0:00 /usr/sbin/named -f -u named -c /var/named/data/Networ
3090 ?	      S      0:00 /sbin/dhclient -1 -lf /var/lib/dhcp/dhclient-eth0.lea
3108 pts/1    S+     0:00 /usr/bin/nm-vpnc-service

Comment 4 Dan Williams 2005-05-12 11:27:49 UTC
Um, you do have /usr/sbin/vpnc, right?

vpnc failed to start.  error: 'Failed to execute child process "/usr/sbin/vpnc"
(No such file or directory)'


Comment 5 Bryan W Clark 2005-05-12 15:50:00 UTC
nope, is this a configure variable that needs to be fixed?

[clarkbw@rhbw ~]$ rpm -qv vpnc
vpnc-0.3.2-3
[clarkbw@rhbw ~]$ rpm -ql vpnc
/dev/tun
/etc/vpnc.conf
/sbin/vpnc
/usr/share/doc/vpnc-0.3.2
/usr/share/doc/vpnc-0.3.2/README
[clarkbw@rhbw ~]$ ls /usr/sbin/vpn*
/usr/sbin/vpnclient

Comment 6 Dan Williams 2005-05-16 19:59:47 UTC
should be fixed already with changes from Saturday to search in /sbin &
/usr/sbin for vpnc


Note You need to log in before you can comment on or make changes to this bug.